<template>
	<view>
		<u-form ref="uForm">
			<view class="flex-white-plr26 ptb10 mt32 bdb_f5">
				<text class="mr26">进仓凭证</text>
				<u-input disabled placeholder="自动生成" v-model="DyeBackBillNo" />
				<text class="mr26">进仓日期</text> {{$u.timeFormat(DyeBackBillDate, 'yyyy-mm-dd')}}
			</view>
			<view @click="pickerSelectFun('仓库名称')" class="flex-white-plr26 ptb20 bdb_f5">
				<text class="mr26">仓库名称<text class="redXingh">*</text></text>
				<view :class="StoreName ? '' : 'cBlack'"> {{StoreName ? StoreName : '请选择'}}
					<u-icon class="ml26" name="arrow-right" size="40" color="#888888"></u-icon>
				</view>
			</view>
			<view @click="pickerSelectFun('单据类型')" class="flex-white-plr26 ptb20 bdb_f5">
				<text class="mr26">单据类型<text class="redXingh">*</text></text>
				<view :class="BillTypeName ? '' : 'cBlack'"> {{BillTypeName ? BillTypeName : '请选择'}}
					<u-icon class="ml26" name="arrow-right" size="40" color="#888888"></u-icon>
				</view>
			</view>
			<view class="flex-white-plr26 ptb20 bdb_f5" @click="selectCustomer">
				<text class="mr26">往来单位<text class="redXingh">*</text></text>
				<view :class="CustomerName ? '' : 'cBlack'"> {{CustomerName ? CustomerName : '请选择'}}
					<u-icon class="ml26" name="arrow-right" size="40" color="#888888"></u-icon>
				</view>
			</view>
			<view class="flex-white-plr26 ptb20 bdb_f5">
				<text class="mr26" >仓位编号<text class="redXingh">*</text></text>
				<input type="text" v-model="StoreStationNo" :focus="testFocus0" style="width:100px;" @confirm="GetStoreStationName" />
				<text class="title" style="width:150px;">仓位名称：{{StoreStationName}}</text>
			</view>
			<view class="flex-white-plr26-column ptb20 mt32">
				<view style="margin-bottom: 8rpx;">
					<text>备注内容</text>
				</view>
				<u-input v-model="Remark" maxlength="-1" type="textarea" :border="true" :height="100" :auto-height="true" />
			</view>
			<u-form-item label-width="150" label="条码资料:">
				<input type="text" maxlength="-1" v-model="QRBarCode" :focus="testFocus1" style="width:200px;" @confirm="DyeBackBillDetailScan" />
				<checkbox-group  @change="BarCodeDelChange">
					<checkbox ref="checkBoxRef" :checked="BarCodeDelStatus">删除</checkbox>
				</checkbox-group>
			</u-form-item>
			<u-form-item>
				<text class="title">{{BillDataMessage}}</text>
			</u-form-item>
			<u-form-item>
				<text class="title" style="width:200px;">成品编号：{{FabricGoodsNo}}</text>
				<text class="title" style="width:200px;">成品缸号：{{CrockNo}}</text>
			</u-form-item>
			<u-form-item>
				<text class="title" style="width:200px;">成品色号：{{GoodsCodeNo}}</text>
				<text class="title" style="width:200px;">成品颜色：{{GoodsCodeName}}</text>
			</u-form-item>
			<u-form-item>
				<text class="title" style="width:200px;">本缸条数：{{CrockNoSumRoll}}条</text>
				<text class="title" style="width:200px;">本缸重量：{{CrockNoSumQty}}Kg</text>
			</u-form-item>
			<u-form-item>
				<text class="title" style="width:200px;">已扫条数：{{CrockNoScanRoll}}条</text>
				<text class="title" style="width:200px;">已扫重量：{{CrockNoScanQty}}Kg</text>
			</u-form-item>
			<u-form-item>
				<text class="title" style="width:200px;">本单总条：{{BillSumRoll}}</text>
				<text class="title" style="width:200px;">本单总重：{{BillSumQty}}</text>
			</u-form-item>
		</u-form>
		<view class="u-demo-area">
			<u-toast ref="uToast"></u-toast>
			<wyb-table ref="table" :headers="headersMaster" :contents="GoodsDetailList"
				@onCellClick="GetDetailCrockNoListData" />
			<!--	<wyb-table ref="table" :headers="headersDetail" :contents="GoodsCrockNoDataList"  height="600rpx" /> !-->
		</view>

		<!--提交按钮-->
		<view class="submitView">
			<u-button type="primary" style="width:100px;" class="submitBtn"
				:ripple="true" ripple-bg-color="#909399" @click="submitBtnFun">
				{{pageType ? '保存' : '提交'}}
			</u-button>

			<u-button type="primary" style="width:100px;" class="commitBtn"
				:ripple="true" ripple-bg-color="#909399" @click="commitBtnFun">
				{{CommitType ? '消审' : '审核'}}
			</u-button>
		</view>
		<!--组件-->
		<!-- <u-action-sheet :list="StoreNameDataList" v-model="actionSheetShow" @click="actionSheetCallback"></u-action-sheet> -->
		<u-select v-model="selectShow" :list="selectList" @confirm="selectConfirmFun"></u-select>

	</view>
</template>

<script>
	let that = '';
	import util, {
		parFabricGoodsBarCode2D,
		parYarnGoodsBarCode2D,
		playSuccessAudio,
		playErrorAudio
	} from '../../common/util';
	import wybTable from '@/components/wyb-table/wyb-table.vue';
	export default {
		data() {
			return {
				selectShow: false,
				selectList: [],
				selectType: '',
				pageType: '',
				CommitType: '',
				CommitProcName: '',
				testFocus0: true,
				testFocus1: false,
				DyeBackBillID: 0,
				DyeBackBillNo: '',
				DyeBackBillDate: '',
				DyeWorksBillNo: '',
				DyeOrderDetailIDs: '',
				StoreNameID: '',
				StoreName: '',
				CustomerID: 0,
				CustomerName: '',
				PlanDepartmentID: 0,
				PlanDepartmentName: '',
				SaleUserID: 0,
				SaleUserName: '',
				SaleCustomerAddress: '',
				StoreStationNo: '',
				StoreStationName: '',
				BillBusinessID: 0,
				BillTypeName: '',
				actionSheetShow: false,
				BarCodeDelStatus: false,
				Remark: '',
				GoodsDetailList:[],
				StoreNameDataList: [],
				BillBusinessDataList: [],
				YarnDataList: [],
				QRBarCode: '',
				FabricGoodsNo: '',
				FabricGoodsName: '',
				GoodsCodeNo: '',
				GoodsCodeName: '',
				CrockNo: '',
				BarCodeQtys: '',
				BillSumRoll: 0,
				BillSumQty: 0,
				CrockNoScanRoll: 0,
				CrockNoScanQty: 0,
				CrockNoSumRoll: 0,
				CrockNoSumQty: 0,
				BillDataMessage: '',
				headersMaster: [{
					label: '成品编号',
					key: 'FabricGoodsNo'
				}, {
					label: '成品色号',
					key: 'GoodsCodeNo'
				}, {
					label: '成品颜色',
					key: 'GoodsCodeName'
				}, {
					label: '成品缸号',
					key: 'CrockNo'
				}, {
					label: '成品条数',
					key: 'Roll'
				},{
					label: '已扫条数',
					key: 'ScanRoll'
				}, {
					label: '已扫重量',
					key: 'ScanQty'
				}],
			}
		},
		watch: {
			cpList: function(val, old) {
				that.cpCalcFun();
			}
		},
		onLoad(e) {
			that = this;
			this.getStoreNameData();

			setTimeout(() => {
				this.getBillBusinessData();
			}, 500);

			if (getApp().globalData.StoreTypeNo.toUpperCase() == 'STOREFABRICGOODS' )
			{
				this.StoreNameID = getApp().globalData.StoreNameID;
				this.StoreName = getApp().globalData.StoreName;
			};

			uni.$on('bjdKehuBindFun', that.bjdKehuBindFun)
			uni.$on('chanpinBindFun', that.chanpinBindFun)
			uni.$on('bjdLxrBindFun', that.bjdLxrBindFun)
			uni.$on('shangjiBindFun', that.shangjiBindFun)
		},

		onBackPress() {
			uni.$off('bjdKehuBindFun', that.bjdKehuBindFun)
			uni.$off('chanpinBindFun', that.chanpinBindFun)
			uni.$off('bjdLxrBindFun', that.bjdLxrBindFun)
			uni.$off('shangjiBindFun', that.shangjiBindFun)
		},

		methods: {

			playSuccess() {
				util.playSuccessAudio();
			},
			playError() {
				util.playErrorAudio();
			},

			BarCodeDelChange:function () {
				this.BarCodeDelStatus = !this.BarCodeDelStatus;
			},

			// 展示相应数据选择框
			pickerSelectFun: function(str) {
				console.log("---->>>" + str);
				that.selectList = [];
				if (str == '仓库名称') {
					that.selectList = this.StoreNameDataList;
				} else if (str == '单据类型') {
					that.selectList = this.BillBusinessDataList;
				}

				that.selectShow = true;
				that.selectType = str;
			},
			// 选择框选中事件
			selectConfirmFun: function(e) {
				if (that.selectType == '仓库名称') {
					that.StoreNameID = e[0].value;
					that.StoreName = e[0].label;
				} else if (that.selectType == '单据类型') {
					that.BillBusinessID = e[0].value;
					that.BillTypeName = e[0].label;
				}
			},

			getStoreNameData() {
				uni.request({
					url: util.apiurl + 'rest/db/opensql',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							sql_command_id: 'APP.GetStoreNameList',
							params: [{
								name: 'TypeNo',
								value: '%StoreFabricGoods%'
							}]
						},
					},
					success: (res) => {
						if (res.data.status == 0 && res.data.count > 0) {
							var aResultData = res.data.data;
							for (var i = 0; i < aResultData.length; i++) {
								this.StoreNameDataList.push({
									value: aResultData[i].StoreNameID,
									label: aResultData[i].StoreName
								})
							}
						} else if (res.data.status == 0 && res.data.count <= 0) {
							this.StoreNameDataList = [];
						} else {
							this.StoreNameDataList = [];
						}
					},
					fail: (error) => {
						uni.showToast({
							icon: 'none',
							title: '连接服务器出错，请检查后台服务是否启动！' + res.data.msg
						});
						setTimeout(function() {
							uni.hideLoading();
						}, 5000);
					},
				})
			},

			GetStoreStationName: function() {
				uni.request({
					url: util.apiurl + 'rest/db/opensql',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							sql_command_id: 'APP.GetStoreStationName',
							params: [{
								name: 'No',
								value: this.StoreStationNo
							}]
						},
					},
					success: (res) => {
						if (res.data.status == 0 && res.data.count > 0) {
							this.playSuccess();
							var aResultData = res.data.data;
							for (var i = 0; i < aResultData.length; i++) {
								this.StoreStationName = aResultData[i].StoreStationName;
							};
							this.testFocus0 = false;
							this.$nextTick(() => {
								this.testFocus1 = true;
								this.testFocus0 = false;
							});
						} else {
							this.playError();
							this.StoreStationName = "",
							this.testFocus0 = false;
							this.$nextTick(() => {
								this.testFocus1 = false;
								this.testFocus0 = true;
							});
							this.StoreNameID = 0,
							this.BillDataMessage = '不存在当前的仓位资料，请确认！';
						}
					},
					fail: (error) => {
						this.playError();
						this.BillDataMessage = '连接服务器出错，请检查后台服务是否启动！' + res.data.msg;
					},
				})
			},

			getBillBusinessData() {
				uni.request({
					url: util.apiurl + 'rest/db/opensql',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							sql_command_id: 'APP.GetBillBusinessList',
							params: [{
								name: 'TypeStatus',
								value: '1'
							}, {
								name: 'TypeNo',
								value: 'BusinessTypeDyeFabric'
							}]
						},
					},
					success: (res) => {
						if (res.data.status == 0 && res.data.count == 1) {
							var aResultData = res.data.data;
							for (var i = 0; i < aResultData.length; i++) {
								this.BillBusinessID = aResultData[0].BillBusinessID;
								this.BillTypeName = aResultData[0].BillTypeName;
								this.BillBusinessDataList.push({
									value: aResultData[i].BillBusinessID,
									label: aResultData[i].BillTypeName
								})
							}
						} else if (res.data.status == 0 && res.data.count > 0) {
							var aResultData = res.data.data;
							for (var i = 0; i < aResultData.length; i++) {
								this.BillBusinessDataList.push({
									value: aResultData[i].BillBusinessID,
									label: aResultData[i].BillTypeName
								})
							}
						} else if (res.data.status == 0 && res.data.count <= 0) {
							this.BillBusinessDataList = [];
						} else {
							this.BillBusinessDataList = [];
						}
					},
					fail: (error) => {
						uni.showToast({
							icon: 'none',
							title: '连接服务器出错，请检查后台服务是否启动！' + res.data.msg
						});
						setTimeout(function() {
							uni.hideLoading();
						}, 5000);
					},
				})
			},

			DyeWorksDyeBackDetail: function() {
				uni.request({
					url: util.apiurl + 'rest/db/opensql',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							sql_command_id: 'APP.GetDyeWorksDyeBackDetailSQL',
							params: [{
								name: 'BillID',
								value: this.DyeBackBillID
							}]
						},
					},
					success: (res) => {
						this.triggered = false;
						let data = res.data.data;
						console.log("---->" + JSON.stringify(res.data));
						if (res.data.status == 0 && res.data.count > 0) {
							var aResultData = res.data.data;
							this.GoodsDetailList = res.data.data;
							this.DyeBackBillNo = aResultData[0].BillNo;
							this.DyeBackBillDate = aResultData[0].BillDate;
							this.CustomerName = aResultData[0].CustomerName;
							this.StoreName = aResultData[0].StoreName;
							this.CommitType = aResultData[0].CommitType;
							this.CommitProcName = aResultData[0].CommitProcName;
							this.BillSumRoll = 0;
							this.BillSumQty = 0;
							for (var i = 0; i < aResultData.length; i++) {
								if (parseFloat(aResultData[i].Roll) > 0) {
									this.BillSumRoll = this.BillSumRoll + aResultData[i].Roll;
								}

								if (parseFloat(aResultData[i].Qty) > 0) {
									this.BillSumQty = this.BillSumQty + aResultData[i].Qty;
								}
							};
							this.BillSumRoll = this.BillSumRoll.toFixed(2) + '条';
							this.BillSumQty = this.BillSumQty.toFixed(2) + 'Kg';

						} else if (res.data.status == 0 && res.data.count <= 0) {
							this.GoodsDetailList = [];
						} else {
							this.GoodsDetailList = [];
						}

					},
				})
			},

			// 日期修改
			bindDateChange: function(e) {
				that.bjdDate = e.detail.value;
				that.bjdDateTime = new Date(e.detail.value + ' 00:00:00').getTime()
			},
			// 展示相应数据选择框

			scanFun: function() {
				uni.scanCode({
					success(res) {
						that.code = res.result;
					}
				})
			},
			// 选择所属客户
			selectCustomer: function() {
				uni.navigateTo({
					url: '../basedata/customer/customer?type=染整厂'
				})
			},
			// 绑定客户
			bjdKehuBindFun: function(e) {
				console.log("CustomerName===" + e.CustomerName);
				that.CustomerID = e.CustomerID;
				that.CustomerName = e.CustomerName;
				that.PlanDepartmentID = e.PlanDepartmentID;
				that.PlanDepartmentName = e.PlanDepartmentName;
				that.SaleUserID = e.SaleUserID;
				that.SaleUserName = e.SaleUserName;
				that.SaleCustomerAddress = e.CustomerAddress + ' ' + e.CustomerPhone + ' ' + e.CustomerLinkName;
			},

			// 提交按钮方法
			submitBtnFun: function() {
				if (this.StoreName == '') {
					this.playError();
					this.BillDataMessage = '仓库名称不能为空，请先输入仓库名称！';
					return;
				}
				if (this.BillTypeName == '') {
					this.playError();
					this.BillDataMessage = '单据类型不能为空，请先输入单据类型！';
					return;
				}
				if (this.CustomerName == '') {
					this.playError();
					this.BillDataMessage = '往来单位不能为空，请先输入往来单位！';
					return;
				}

				if (this.StoreStationName == '') {
					this.playError();
					this.BillDataMessage = '仓位名称不能为空，请先输入仓位编号！';
					return;
				}

				if (this.OutBillID > 0) {
					this.playError();
					this.BillDataMessage = '当前单据已经提交，不能重复提交！';
					return;
				}

				uni.request({
					url: util.apiurl + 'rest/db/storedproc',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							proc_name: 'Usp_APP_DyeWorksDyeBackBillMaster',
							method: 'open_proc',
							params: [{
									name: '@BillMasterID',
									value: this.DyeBackBillID
								},
								{
									name: '@BillBusinessID',
									value: this.BillBusinessID
								},
								{
									name: '@StoreNameID',
									value: this.StoreNameID
								},
								{
									name: '@CustomerID',
									value: this.CustomerID
								},
								{
									name: '@Remark',
									value: this.Remark
								},
								{
									name: '@UserName',
									value: getApp().globalData.UserName
								}
							]
						},
					},
					success: (res) => {
						if (res.data.status == 0) {
							var aResultData = JSON.parse(res.data.data);
							if (aResultData.BillDataStatus == '0' && aResultData.BillDataMessage == 'SUCCESS') {
								this.playSuccess();
								this.DyeBackBillID = aResultData.DyeBackStoreBillID;
								this.DyeBackBillNo = aResultData.DyeBackStoreBillNo;
								this.testFocus1 = false;
								this.$nextTick(() => {
									this.testFocus1 = true;
								});
							} else {
								this.playError();
								this.BillDataMessage = '提交出错！' + aResultData.BillDataMessage;
								return;
							}
						} else {
							this.playError();
							this.BillDataMessage = '提交出错，' + res.data.msg
							return;
						}
					},
					fail: (error) => {
						this.playError();
						this.BillDataMessage = '连接服务器出错，请检查后台服务是否启动！' + res.data.msg;
					},
				})
			},

			DyeBackBillDetailScan() {
				if (this.StoreNameID == 0 && this.DyeBackBillNo == '') {
					this.playError();
					this.BillDataMessage = '请先新增单据';
					return;
				}

				this.testFocus0 = false;
				this.$nextTick(() => {
					this.testFocus0 = true;
				});

				let aBarCodeDelStatus=0
				if (this.BarCodeDelStatus){
					aBarCodeDelStatus = '1';
				};

				if (this.QRBarCode.indexOf(';') > 0)
				{
					var aBarCodeList = this.QRBarCode.split(';');
					console.log("DyeWorksBillNo=>>>===>>" +aBarCodeList[0]);

					if (aBarCodeList[0].indexOf('^') > 0){


						var aBarCodeList = this.QRBarCode.split('^');

						this.DyeWorksBillNo = aBarCodeList[0];
						this.DyeOrderDetailIDs = aBarCodeList[1]+'^'+aBarCodeList[2]+'^'
							+aBarCodeList[4]+'^'+aBarCodeList[5]+'^'+aBarCodeList[6]+'^'
							+aBarCodeList[7]+'^';
						this.CrockNo = aBarCodeList[3];
						this.BarCodeQtys = aBarCodeList[8];
						console.log("DyeWorksBillNo====" +this.DyeWorksBillNo);
						console.log("CrockNo===="+ this.CrockNo);
						console.log("DyeOrderDetailID====" +this.DyeOrderDetailID);
						console.log("this.BarCodeQtys ---->>" + this.BarCodeQtys);
					}else{
						this.DyeWorksBillNo = aBarCodeList[0];
						this.DyeOrderDetailIDs = aBarCodeList[1];
						this.CrockNo = aBarCodeList[2];
						this.BarCodeQtys = aBarCodeList[4];
					}
					console.log("DyeWorksBillNo====" +this.DyeWorksBillNo);
					console.log("CrockNo===="+ this.CrockNo);
					console.log("DyeOrderDetailID====" +this.DyeOrderDetailID);
					console.log("this.BarCodeQtys ---->>" + this.BarCodeQtys);
				}else{
					this.DyeWorksBillNo = "";
					this.DyeOrderDetailIDs = "";
					this.CrockNo = "";
					this.BarCodeQtys = this.QRBarCode;
				}
				uni.request({
					url: util.apiurl + 'rest/db/storedproc',
					data: {
						token: getApp().globalData.Token,
						data: {
							db_name: getApp().globalData.AppDBName,
							proc_name: 'Usp_APP_DyeWorksDyeBackBillDetail',
							method: 'open_proc',
							params: [{
									name: '@BillMasterID',
									value: this.DyeBackBillID
								},
								{
									name: '@DyeOrderDetailIDs',
									value: this.DyeOrderDetailIDs
								},
								{
									name: '@DyeWorksBillNo',
									value: this.DyeWorksBillNo
								},
								{
									name: '@CrockNo',
									value: this.CrockNo
								},
								{
									name: '@StoreStationName',
									value: this.StoreStationNo
								},
								{
									name: '@BarCodeQtys',
									value: this.BarCodeQtys
								},
								{
									name: '@BarCodeDelStatus',
									value: aBarCodeDelStatus
								},
								{
									name: '@UserName',
									value: getApp().globalData.UserName
								}
							]
						},
					},
					success: (res) => {
						if (res.data.status == 0) {
							console.log(res.data.data.toString());
							var aResultData = JSON.parse(res.data.data);
							if (aResultData.BillDataStatus == '0' && aResultData.BillDataMessage == 'SUCCESS') {
								this.playSuccess();
								this.FabricGoodsNo = aResultData.FabricGoodsNo;
								this.FabricGoodsName = aResultData.FabricGoodsName;
								this.GoodsCodeNo = aResultData.GoodsCodeNo;
								this.GoodsCodeName = aResultData.GoodsCodeName;
								this.CrockNoSumRoll = parseFloat(aResultData.CrockNoSumRoll);
								this.CrockNoSumQty = parseFloat(aResultData.CrockNoSumQty);
								this.CrockNoScanRoll = parseFloat(aResultData.CrockNoScanRoll);
								this.CrockNoScanQty = parseFloat(aResultData.CrockNoScanQty);
								this.BillSumRoll = parseFloat(aResultData.BillSumRoll);
								this.BillSumQty = parseFloat(aResultData.BillSumQty);
								this.QRBarCode = '';
								this.BillDataMessage = '扫描成功！';
								this.DyeWorksDyeBackDetail();
								this.testFocus1 = false;
								this.$nextTick(() => {
									this.testFocus1 = true;
								});
							} else {
								this.playError();
								this.BillDataMessage = '出仓出错，' + aResultData.BillDataMessage;
								this.QRBarCode = '';
								this.testFocus1 = false;
								this.$nextTick(() => {
									this.testFocus1 = true;
								});
								return;
							}

						} else {
							this.playError();
							this.QRBarCode = '';
							this.BillDataMessage = '盘点扫描出错，' + res.data.msg;
							this.testFocus1 = false;
							this.$nextTick(() => {
								this.testFocus1 = true;
							});
							return;
						}
					},
					fail: (error) => {
						this.playError();
						this.QRBarCode = '';
						this.testFocus1 = false;
						this.$nextTick(() => {
							this.testFocus1 = true;
							this.testFocus0 = false;
						});
						this.BillDataMessage = '盘点扫描出错，' + res.data.msg;
						uni.showToast({
							icon: 'none',
							title: '连接服务器出错，请检查后台服务是否启动！' + res.data.msg
						});
						setTimeout(function() {
							uni.hideLoading();
						}, 5000);
					},
				})
			},

			// 审核按钮方法
			commitBtnFun: function() {
				if (this.DyeBackBillID <= 0) {
					this.playError();
					this.BillDataMessage = '当前单据未提交，不能审核！';
					return;
				}

				var aCommitRecallName = '审核';
				if (this.CommitType == ''){
					aCommitRecallName = '审核';
				} else {
					aCommitRecallName = '消审';
				}

				if (this.CommitProcName == ''){
					this.playError();
					this.BillDataMessage = '当前'+ aCommitRecallName +'操作配置有误，不能审核！';
					return;
				}

				uni.request({
					url: util.apiurl + 'rest/db/storedproc',
					data: {
						token: getApp().globalData.Token,
						format: 'json',
						data: {
							db_name: getApp().globalData.AppDBName,
							proc_name: this.CommitProcName,
							method: 'open_proc',
							params: [{
									name: '@BillID',
									value: this.DyeBackBillID
								},{
									name: '@BillNo',
									value: this.DyeBackBillNo
								},{
									name: '@UserName',
									value: getApp().globalData.UserName
								}
							]
						},
					},
					success: (res) => {
						if (res.data.status == 0) {
							var aResultData = JSON.parse(res.data.data);
							if (aResultData.BillDataStatus == '0' && aResultData.BillDataMessage == 'SUCCESS') {
								this.playSuccess();
								this.BillDataMessage = aCommitRecallName + "成功！";
								if (aCommitRecallName == '审核'){
									this.CommitType = '已审核'
								} else {
									this.CommitType = ''
								}
							} else {
								this.playError();
								this.BillDataMessage = aCommitRecallName + '出错！' + aResultData.BillDataMessage;
								return;
							}
						} else {
							this.playError();
							this.BillDataMessage = aCommitRecallName + '出错，' + res.data.msg
							return;
						}
					},
					fail: (error) => {
						this.playError();
						this.BillDataMessage = '连接服务器出错，请检查后台服务是否启动！' + res.data.msg;
					},
				})
			},
		}
	}
</script>

<style>
	page {
		background-color: #F8F8F8;
		padding-bottom: 260rpx;
	}

	.u-radio {
		width: 200rpx !important;
	}

	.submitView {
		width: 100%;
		padding: 16rpx 0 26rpx;
		background-color: #FFFFFF;
		position: fixed;
		bottom: 0;
		left: 0;
		border-top: 1rpx solid #f1f1f1;
		display: flex;
		align-items: center;
		justify-content: center;
		z-index: 100;
	}

	.submitBtn {
		width: 666rpx;
	}

	.productBox {
		background-color: #FFFFFF;
		margin-top: 32rpx;
		padding: 26rpx 0;
	}

	.tjcpName {
		width: 686rpx;
		height: 40rpx;
		font-size: 16px;
		font-weight: bold;
		border-left: 6rpx solid #007AFF;
		padding-left: 12rpx;
		margin-left: 26rpx;
		margin-top: 26rpx;
	}

	.cpInput {
		width: 150rpx !important;
		margin-right: 12rpx;
	}

	.cpInput>input {
		box-sizing: border-box;
		border: 1rpx solid #DDDDDD;
		width: 100%;
		height: 60rpx;
		border-radius: 10rpx;
		padding: 0 10rpx;
	}

	.cpInput1 {
		width: 200rpx !important;
		margin-right: 12rpx;
	}

	.cpInput1>input {
		box-sizing: border-box;
		border: 1rpx solid #DDDDDD;
		width: 100%;
		height: 60rpx;
		border-radius: 10rpx;
		padding: 0 10rpx;
	}

	.clearIcon {
		position: absolute;
		right: 6rpx;
		top: 6rpx;
	}

	.greenPrice {
		font-size: 16px;
		color: #19BE6B !important;
		font-weight: bold;
	}

	.disFlex {
		display: flex;
		align-items: center;
		margin-bottom: 8rpx;
	}

	.inputName {
		color: #ADADAD;
		font-size: 16px;
	}

	.addHKQS {
		display: flex;
		align-items: center;
		padding: 16rpx 26rpx;
		font-size: 15px;
		font-weight: bold;
		width: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
	}
</style>
